import SwiftUI
import HKDatabase
import HealthKit

struct WorkoutEventsView: View {

    let events: [HKWorkoutEvent]

    var body: some View {
        List {
            ForEach(events) { event in
                NavigationLink(value: event) {
                    DetailRow(event.type.description, date: event.dateInterval.start)
                }
            }
        }
        .navigationTitle("Events")
        .navigationDestination(for: HKWorkoutEvent.self) { event in
            EventDetailView(event: event)
        }
    }
}

#Preview {
    WorkoutEventsView(events: Workout.mock1.workoutEvents)
}
