import SwiftUI
import HKDatabase

struct WorkoutMetadataView: View {

    let metadata: [String : Any]

    private var metadataFields: [(key: String, value: Any)] {
        metadata.sorted { $0.key }
    }

    var body: some View {
        List {
            ForEach(metadataFields, id:\.key) { (key, value) in
                let keyString = HKMetadataKey.describe(key: key) ?? HKMetadataPrivateKey.describe(key: key) ?? key
                DetailRow(keyString, value: "\(value)")
            }
        }
        .navigationTitle("Metadata")
    }
}

#Preview {
    WorkoutMetadataView(metadata: Workout.mock1.metadata)
}
